#ifndef TMDisplayingTextView_H
#define TMDisplayingTextView_H

#include "TMDisplaying.h"

class TMHistogramming;
class TGTextView;
class TGRadioButton;

class TMDisplayingTextView : public TMDisplaying {
 public:
  TMDisplayingTextView(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingTextView();

  virtual void   Update();

  virtual void   CreateTopFrame();
  virtual void   CreateDumpOptionFrame();

  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

 protected:

  TGTextView     *fTheTextView;
  TGRadioButton  *fRadioHere, *fRadioTerm;

  enum buttons {
    DUMP_HERE,
    DUMP_TERM
  };

  ClassDef(TMDisplayingTextView, 0)
};

#endif
